﻿using Xamarin.Forms;
using Telerik.XamarinForms.Input;
using System;
using System.Collections.Generic;
using Telerik.XamarinForms.Common;

namespace CalendarUpdateToday
{
    public partial class CalendarUpdateTodayPage : ContentPage
    {
        public CalendarUpdateTodayPage()
        {
            InitializeComponent();
            calendar.SetStyleForCell = SetStyle;
            calendar.AppointmentsSource = new List<Appointment>() {
                new Appointment() {
                    StartDate = DateTime.Today.AddDays(1),
                    EndDate = DateTime.Today.AddDays(2).AddTicks(-1),
                    Title = "Mom's Birthday",
                    Color = Color.Red },
                new Appointment() {
                    StartDate = DateTime.Today.AddDays(3).AddHours(17),
                    EndDate = DateTime.Today.AddDays(3).AddHours(22),
                    Title = "Big Game",
                    Color = Color.Green },
                new Appointment() {
                    StartDate = DateTime.Today.AddDays(11).AddHours(20),
                    EndDate = DateTime.Today.AddDays(12).AddHours(4),
                    Title = "Progress Party",
                    Color = Color.Red }
            };
        }

        CalendarCellStyle SetStyle(CalendarCell cell)
        {
            var dayCell = cell as CalendarDayCell;
            if (dayCell != null && dayCell.IsToday)
            {
                return new CalendarCellStyle
                {
                    BorderColor = Color.Green,
                    BackgroundColor = Color.Lime,
                    BorderThickness = new Thickness(2),
                    ForegroundColor = Color.Black,
                    FontSize = 16,
                    FontWeight = FontWeight.Bold
                };

            }
            return null;
        }

        void Handle_Clicked(object sender, System.EventArgs e)
        {
            this.calendar.Reload();
        }
    }
}
