﻿using Android.App;
using Android.Content.PM;
using Android.OS;
using Com.Telerik.Widget.Calendar;
using Java.Util;
using Telerik.XamarinForms.InputRenderer.Android;
using Xamarin.Forms;
using CalendarUpdateToday;
using CalendarUpdateToday.Droid;

[assembly: ExportRenderer(typeof(CustomCalendar), typeof(CustomCalendarRenderer))]

namespace CalendarUpdateToday.Droid
{
    [Activity(Label = "CalendarUpdateToday.Droid", Icon = "@drawable/icon", Theme = "@style/MyTheme", MainLauncher = true, ConfigurationChanges = ConfigChanges.ScreenSize | ConfigChanges.Orientation)]
    public class MainActivity : global::Xamarin.Forms.Platform.Android.FormsAppCompatActivity
    {
        protected override void OnCreate(Bundle bundle)
        {
            TabLayoutResource = Resource.Layout.Tabbar;
            ToolbarResource = Resource.Layout.Toolbar;

            base.OnCreate(bundle);

            Forms.Init(this, bundle);
            LoadApplication(new App());
        }
    }

    public class CustomCalendarRenderer : CalendarRenderer, ICalendarRenderer
    {
        protected override void OnElementChanged(Xamarin.Forms.Platform.Android.ElementChangedEventArgs<Telerik.XamarinForms.Input.RadCalendar> e)
        {
            base.OnElementChanged(e);

            var oldElement = e.OldElement as CustomCalendar;
            if (oldElement != null)
            {
                oldElement.Renderer = null;
            }

            var element = e.NewElement as CustomCalendar;
            if (element != null)
            {
                element.Renderer = this;
            }
        }

        public void Reload()
        {
            if (Control != null)
            {
                Calendar today = Calendar.Instance;
                Control.Calendar = today;
                var adapter = new CalendarAdapter(Control);
                adapter.Style = CalendarStyles.MaterialLight(Forms.Context);
                Control.Adapter = adapter;
            }
        }
    }
}
