﻿using CalendarUpdateToday;
using CalendarUpdateToday.iOS;
using Foundation;
using Telerik.XamarinForms.InputRenderer.iOS;
using UIKit;
using Xamarin.Forms;
using Telerik.XamarinForms.Common.iOS;

[assembly: ExportRenderer(typeof(CustomCalendar), typeof(CustomCalendarRenderer))]

namespace CalendarUpdateToday.iOS
{
    [Register("AppDelegate")]
    public partial class AppDelegate : global::Xamarin.Forms.Platform.iOS.FormsApplicationDelegate
    {
        public override bool FinishedLaunching(UIApplication app, NSDictionary options)
        {
            Forms.Init();
            TelerikForms.Init();

            LoadApplication(new App());

            return base.FinishedLaunching(app, options);
        }
    }

    public class CustomCalendarRenderer : CalendarRenderer, ICalendarRenderer
    {
        protected override void OnElementChanged(Xamarin.Forms.Platform.iOS.ElementChangedEventArgs<Telerik.XamarinForms.Input.RadCalendar> e)
        {
            base.OnElementChanged(e);

            var oldElement = e.OldElement as CustomCalendar;
            if (oldElement != null)
            {
                oldElement.Renderer = null;
            }

            var element = e.NewElement as CustomCalendar;
            if (element != null)
            {
                element.Renderer = this;
            }
        }

        public void Reload()
        {
            if (Control != null)
            {
                Control.ReloadData();
            }
        }
    }
}
